*{
    margin: 0;
    padding: 0;
    font-family: 'Inter', sans-serif;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
body{
    background: #ffff;
    color: #080808;
    font-weight: 400;
}
#header{
    width: 100%;
    height: 100vh;
    background-color: #9EB7E5;
    background-image: url(images/background.png);
    background-size: cover; 
    background-position: center;
}
.container{
    padding: 10px 10%;
}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    position: sticky;
}
.logo{
    width: 140px;

}
nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}
nav ul li a{
    color: #331E38;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}
nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #304C89;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition:0.5s;

}
nav ul li a:hover::after{
    width: 100%;
}
.header-text{
    margin-top: 20%;
    font-size: 30px;
}
.header-text h1{
    font-size: 60px;
    margin-top: 20px;
}
.header-text h1 span{
    color:#304C89;
}
/* --------------------about---------------- */
#about{
    padding: 80px 0;
    color:#331E38;
    background-color: #E8E5DA;
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.about-col-1{
    flex-basis:35%;
}
.about-col-1 img{
    width: 100%;
    border-radius: 15px;
}
.about-col-2{
    flex-basis: 60%;
}
.about-col-2 p {
    line-height: 1.8;
}
.sub-title{
    font-size: 60px;
    font-weight: 600;
    color: #080808;
    margin-bottom: 30px;
}
.tab-titles{
    display: flex;
    margin: 20px 0 40px;

}
.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}
.tab-links::after{
    content: '';
    width: 0;
    height: 3px;
    background: #706993;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}
.tab-links.active-link::after{
    width: 50%;
}
.tab-contents ul li{
    list-style: none;
    margin: 10px 0;

}
.tab-contents ul li span{
    color: #706993;
    font-size: 14px;
}
.tab-contents{
    display: none;
}
.tab-contents.active-tab{
    display: block;
}
/* ----------------------development------------------ */
#development{
    padding: 50px 0;
    background-color: #E8E5DA;
}

.project {
    display: flex;
    align-items: center;
    gap: 40px;
    margin: 80px 0;
}

.project:nth-child(even) {
    flex-direction: row-reverse;
}

.project img {
    width: 400px;
    border-radius: 10px;
}

.project-content {
    flex: 1;
}
.project-content a {
    display: inline-flex;
    align-items: center;
    gap: 10px;              
    text-decoration: none;
    color: #648DE5;         
    font-weight: 500;
    transition: 0.3s;
}

.project-content h2 {
    margin-bottom: 15px;
    font-size: 32px;
}

.project-content p {
    line-height: 1.8;
    margin-bottom: 20px;
}
.project-content a p {
    margin: 0;              /* removes default spacing */
    font-size: 16px;
}
.project-content a i {
    font-size: 32px;
    color: #648DE5;
}
.project-content a:hover {
    color: #304C89;         /* cute hover color shift */
    transform: translateY(-2px);
}
/* ------------------------------design----------------- */
#design{
    padding: 50px 0;
    background-color: #DFD9B9;
}
.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.work{
    border-radius:10px;
    position:relative;
    overflow: hidden    ;
}
.work:hover{
    z-index: 10;
}
.work img{
    width: 100%;
    border-radius: 10px;
    display:block;
    transition: transform 0.5s;
}
.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(244, 232, 193, 0.6), #648DE5);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    transition: height 0.5s;
    z-index: 1;
}
.layer button,
.layer a {
    position: relative;
    z-index: 2;
}
.layer h3{
    font-weight: 500;
    margin-bottom: 20px;
    color: #331E38;

}
.layer p{
    color:#331E38;
    font-weight: 400;

}
.layer a{
    margin-top:20px;
    color: #648DE5;
    text-decoration: none;
    font-size: 20px;
    line-height: 60px;
    background: #ffff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}
.work:hover img{
    transform: scale(1.1);
}

.work:hover .layer{
    height: 100%;

}
.btn{
    display:block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #648DE5;
    padding: 14px 50px;
    border-radius: 10px;
    text-decoration: none;
    color:#331E38;
    transition: background-color 0.5s;
}
.btn:hover{
    background-color: #706993;
}

/* ------------------------modal------------------------- */
.modal{
    display:none;
    position:fixed;
    z-index:1000;
    left:0;
    top:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,0.6);
}

.modal-content {
    background: #fff;
    width: 70%;
    max-width: 800px;

    position: relative;

    margin: auto;

    top: 50%;
    transform: translateY(-50%);

    padding: 30px;
    border-radius: 12px;

    max-height: 80vh;
    overflow-y: auto;
}

.close{
    float:right;
    font-size:30px;
    cursor:pointer;
}

.modal-btn{
    background:#304C89;
    color:white;
    border:none;
    padding:10px 20px;
    border-radius:8px;
    cursor:pointer;
    margin-top:15px;
}

.modal-btn:hover{
    background:#304C89;
}
/* ------------------------css for small screens------------------------- */
nav .fa-solid{
    display: none;
}
@media only screen and (max-width:600px){
    #header{
        background-image: url(imagesphonebck.png);
    }
    .header-text{
        margin-top: 100%;
        font-size: 16px;
    }
    .header-text h1{
        font-size: 30px;
    }
    nav .fa-solid{
        display: block;
        font-size: 25px;

    }   
    nav ul{
        background: #706993;
        position: fixed;
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
        transition: right 0.5s;
    }
    nav ul li{
        display: block;
        margin: 25px;

    }
    nav ul .fa-solid{
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }
    .sub-title{
        font-size: 40px;
    }
    .about-col-1, .about-col-2{
        flex-basis: 100%;
    }
    .about-col-1{
        margin-bottom: 30px;
    }
    .about-col-2{
        font-size: 14px;
        margin-bottom: 30px;
    }
    
    .tab-links{
        font-size: 16px;
        margin-right: 20px;
    }
    .contact-left, .contact-right{
        flex-basis: 100%;
    }
    .copyright{
        font-size: 14px;
    }
    
}
#msg{
    color: #61b752;
    margin-top: -40px;
    display: block;
}